    Program x05aafe

!     X05AAF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: x05aaf
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: nout = 6
!     .. Local Arrays ..
      Integer                          :: itime(7)
!     .. Executable Statements ..
      Write (nout,*) 'X05AAF Example Program Results'

      Call x05aaf(itime)

      Write (nout,99999) '       Year : ', itime(1)
      Write (nout,99999) '      Month : ', itime(2)
      Write (nout,99999) '        Day : ', itime(3)
      Write (nout,99999) '       Hour : ', itime(4)
      Write (nout,99999) '     Minute : ', itime(5)
      Write (nout,99999) '     Second : ', itime(6)
      Write (nout,99999) 'Millisecond : ', itime(7)

99999 Format (1X,A,I4)
    End Program x05aafe
